# ##############################################################################
def startkinect():
	if ArduinoMegas==1:	
		i01.leftArm.shoulder.map(0,180,-25,105)
		i01.rightArm.shoulder.map(0,180,-30,100)
		i01.copyGesture(True)

# ##############################################################################
def offkinect():
	if ArduinoMegas==1:	
		i01.leftArm.shoulder.map(0,180,0,180)
		i01.rightArm.shoulder.map(0,180,0,180)
		i01.copyGesture(False)
		initialPosition()

# ##############################################################################
def takethis():
	if ArduinoMegas==1:	
		fullspeed()
		i01.moveHead(14,90)
		i01.moveArm("left",13,45,95,10)
		i01.moveArm("right",5,90,30,10)
		moveHand("left",2,2,2,2,2,60)
		moveHand("right",81,66,82,60,105,113)
		i01.moveTorso(85,76,90)
		sleep(3)
		closeLeftHand()
		i01.moveTorso(110,90,90)
		sleep(2)
		isitaball()
		#i01.mouth.speak("what is it")

# ##############################################################################
def fistHips():
	if ArduinoMegas==1:	
		setHandSpeed("left", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("left", 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 1.0, 1.0, 1.0, 1.0)
		i01.setHeadSpeed(1.0, 1.0)
		i01.setTorsoSpeed(1.0, 1.0, 1.0)
		i01.moveHead(138,80)
		i01.moveArm("left",79,42,23,41)
		i01.moveArm("right",71,40,14,39)
		moveHand("left",180,180,180,180,180,47)
		moveHand("right",99,130,152,154,145,180)
		i01.moveTorso(90,90,90)

# ##############################################################################
def unhappy():
	if ArduinoMegas==1:	
		setHandSpeed("left", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("left", 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 1.0, 1.0, 1.0, 1.0)
		i01.setHeadSpeed(1.0, 1.0)
		i01.setTorsoSpeed(1.0, 1.0, 1.0)
		i01.moveHead(85,40)
		i01.moveArm("left",79,42,23,41)
		i01.moveArm("right",71,40,14,39)
		moveHand("left",180,180,180,180,180,47)
		moveHand("right",99,130,152,154,145,180)
		i01.moveTorso(90,90,90)

# ##############################################################################
def delicategrab():
	if ArduinoMegas==1:	
		setHandSpeed("left", 0.70, 0.60, 1.0, 1.0, 1.0, 1.0)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("left", 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 1.0, 1.0, 1.0, 1.0)
		i01.setHeadSpeed(1.0, 1.0)
		i01.moveHead(21,98)
		i01.moveArm("left",30,72,77,10)
		i01.moveArm("right",0,91,28,17)
		moveHand("left",180,130,4,0,0,180)
		moveHand("right",86,51,133,162,153,180)
 
# ##############################################################################
def perfect():
	if ArduinoMegas==1:	
		setHandSpeed("left", 0.80, 0.80, 1.0, 1.0, 1.0, 1.0)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("left", 0.95, 0.95, 0.95, 1.0)
		i01.setArmSpeed("right", 1.0, 1.0, 1.0, 1.0)
		i01.setHeadSpeed(0.65, 0.75)
		i01.moveHead(88,79)
		i01.moveArm("left",89,75,93,11)
		i01.moveArm("right",0,91,28,17)
		moveHand("left",130,160,83,40,0,34)
		moveHand("right",86,51,133,162,153,180)

# ##############################################################################
def fisthips():
	if ArduinoMegas==1:	
		setHandSpeed("left", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("left", 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 1.0, 1.0, 1.0, 1.0)
		i01.setHeadSpeed(0.65, 0.75)
		i01.moveHead(138,80)
		i01.moveArm("left",79,45,23,41)
		i01.moveArm("right",71,40,14,39)
		moveHand("left",180,180,180,180,180,47)
		moveHand("right",99,130,152,154,145,180)
		i01.moveTorso(90,90,90)
 
# ##############################################################################
def releasedelicate():
	if ArduinoMegas==1:	
		setHandSpeed("left", 0.60, 0.60, 1.0, 1.0, 1.0, 1.0)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("left", 0.75, 0.75, 0.75, 0.95)
		i01.setArmSpeed("right", 1.0, 1.0, 1.0, 1.0)
		i01.setHeadSpeed(0.65, 0.75)
		i01.moveHead(20,98)
		i01.moveArm("left",30,72,64,10)
		i01.moveArm("right",0,91,28,17)
		moveHand("left",101,74,66,58,44,180)
		moveHand("right",86,51,133,162,153,180)
		i01.setHeadSpeed(1.0,1.0,1.0,1.0,1.0)
 
# ##############################################################################
def grabthebottle():
	if ArduinoMegas==1:	
		setHandSpeed("left", 1.0, 0.80, 0.80, 0.80, 1.0, 0.80)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("left", 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 1.0, 1.0, 1.0, 1.0)
		i01.setHeadSpeed(0.90, 0.80)
		i01.setTorsoSpeed(1.0,0.80,1.0)
		i01.moveHead(20,107)
		i01.moveArm("left",77,85,45,20)
		i01.moveArm("right",5,90,30,10)
		moveHand("left",180,138,140,164,180,60)
		moveHand("right",0,0,0,0,0,90)
		i01.moveTorso(90,84,90)
 
# ##############################################################################
def grabtheglass():
	if ArduinoMegas==1:	
		setHandSpeed("left", 0.60, 0.60, 1.0, 1.0, 1.0, 1.0)
		setHandSpeed("right", 1.0, 0.60, 0.60, 1.0, 1.0, 0.80)
		i01.setArmSpeed("left", 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 1.0, 1.0, 1.0, 1.0)
		i01.setHeadSpeed(0.65, 0.65)
		i01.setTorsoSpeed(1.0,0.85,1.0)
		i01.moveHead(20,68)
		i01.moveArm("left",77,85,45,15)
		i01.moveArm("right",48,91,72,20)
		moveHand("left",180,138,140,164,180,50)
		moveHand("right",140,112,127,105,143,140)
		i01.moveTorso(105,105,90)
 
# ##############################################################################
def poorbottle():
	if ArduinoMegas==1:	
		setHandSpeed("left", 0.60, 0.60, 0.60, 0.60, 0.60, 0.60)
		setHandSpeed("right", 0.60, 0.80, 0.60, 0.60, 0.60, 0.60)
		i01.setArmSpeed("left", 0.60, 0.60, 0.65, 0.60)
		i01.setArmSpeed("right", 0.60, 0.60, 0.60, 0.60)
		i01.setHeadSpeed(0.65, 0.65)
		i01.moveHead(0,92)
		i01.setTorsoSpeed(1.0,1.0,1.0)
		i01.moveArm("left",55,40,94,55)
		i01.moveArm("right",80,62,38,10)
		moveHand("left",180,140,150,164,180,0)
		moveHand("right",145,112,127,105,143,150)
		i01.moveTorso(90,90,90)

# ##############################################################################
def givethebottle():  
	if ArduinoMegas==1:	
		setHandSpeed("left", 0.60, 0.60, 0.60, 0.60, 0.60, 0.75)
		setHandSpeed("right", 0.60, 0.80, 0.60, 0.60, 0.60, 0.60)
		i01.setArmSpeed("left", 0.80, 0.80, 0.85, 0.80)
		i01.setArmSpeed("right", 0.60, 0.60, 0.60, 0.60)
		i01.setHeadSpeed(0.65, 0.65)
		i01.moveHead(0,92)
		i01.moveHead(20,107,82,78,65)
		i01.moveArm("left",77,85,45,20)
		i01.moveArm("right",80,62,38,10)
		moveHand("left",80,90,90,90,180,80)
		moveHand("right",145,112,127,105,143,150)
		i01.moveTorso(90,82,90)
 
# ##############################################################################
def givetheglass():
	if ArduinoMegas==1:	
		setHandSpeed("left", 0.60, 0.60, 0.60, 0.60, 0.60, 0.60)
		setHandSpeed("right", 0.60, 0.80, 0.60, 0.60, 0.60, 0.60)
		i01.setArmSpeed("left", 0.60, 1.0, 0.60, 0.60)
		i01.setArmSpeed("right", 0.60, 0.60, 0.60, 0.60)
		i01.setHeadSpeed(0.65, 0.65)
		i01.moveHead(84,79)
		i01.moveArm("left",77,75,45,17)
		i01.moveArm("right",21,80,77,10)
		moveHand("left",109,138,180,164,180,60)
		moveHand("right",102,86,105,105,143,133)
 
# ##############################################################################
def takeball():
	if ArduinoMegas==1:	
		initialPosition()
		setHandSpeed("right", 0.85, 0.75, 0.75, 0.75, 0.85, 0.75)
		i01.setArmSpeed("right", 0.85, 0.85, 0.85, 0.85)
		i01.setHeadSpeed(0.9, 0.9)
		i01.setTorsoSpeed(0.75, 0.55, 1.0)
		i01.moveHead(30,70)
		i01.moveArm("left",5,84,16,15)
		i01.moveArm("right",6,73,76,16)
		moveHand("left",50,50,40,20,20,90)
		moveHand("right",180,140,140,3,0,11)
		i01.moveTorso(120,100,90)

# ##############################################################################
def getball():
	if ArduinoMegas==1:	
		initialPosition()
		setHandSpeed("right", 0.85, 0.75, 0.75, 0.75, 0.85, 0.75)
		i01.setArmSpeed("right", 1.0, 1.0, 1.0, 0.85)
		i01.setHeadSpeed(0.9, 0.9)
		i01.setTorsoSpeed(0.75, 0.55, 1.0)
		i01.moveHead(45,65)
		i01.moveArm("left",5,90,16,15)
		i01.moveArm("right",6,85,110,22)
		moveHand("left",50,50,40,20,20,90)
		moveHand("right",0,0,0,3,0,11)
		i01.moveTorso(101,100,90)
		sleep(2.5)
		moveHand("right",180,140,140,3,0,11)
 
# ##############################################################################
def keepball():
	if ArduinoMegas==1:	
		setHandSpeed("left", 0.65, 0.65, 0.65, 0.65, 0.65, 1.0)
		setHandSpeed("right", 0.65, 0.65, 0.65, 0.65, 0.65, 1.0)
		i01.setArmSpeed("right", 0.75, 0.85, 0.95, 0.85)
		i01.setArmSpeed("left", 0.75, 0.85, 0.95, 0.85)
		i01.setHeadSpeed(0.9, 0.9)
		i01.setTorsoSpeed(0.75, 0.55, 1.0)
		i01.moveHead(20,70)
		i01.moveArm("left",5,84,16,15)
		i01.moveArm("right",54,77,55,16)
		moveHand("left",50,50,40,20,20,90)
		moveHand("right",180,140,140,3,0,11)
		i01.moveTorso(90,90,90)
 
# ##############################################################################
def approachlefthand():
	if ArduinoMegas==1:	
		setHandSpeed("right", 0.75, 0.75, 0.75, 0.75, 0.75, 0.65)
		i01.setArmSpeed("left", 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 0.25, 0.25, 0.25, 0.25)
		i01.setHeadSpeed(0.65, 0.65)
		i01.setTorsoSpeed(0.75, 0.55, 1.0)
		i01.moveHead(20,84)
		i01.moveArm("left",67,52,62,23)
		i01.moveArm("right",55,61,45,16)
		moveHand("left",130,0,40,10,10,0)
		moveHand("right",180,145,145,3,0,11)
		i01.moveTorso(90,85,90)
		sleep(4)

# ##############################################################################
def uselefthand():
	if ArduinoMegas==1:	
		setHandSpeed("right", 0.75, 0.75, 0.75, 0.75, 0.75, 0.65)
		i01.setArmSpeed("left", 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 0.25, 0.25, 0.25, 0.25)
		i01.setHeadSpeed(0.65, 0.65)
		i01.moveHead(10,80)
		i01.moveArm("left",64,52,59,23)
		i01.moveArm("right",75,61,50,16)
		moveHand("left",130,0,40,10,10,0)
		moveHand("right",180,140,145,3,0,11)
		sleep(4)

# ##############################################################################
def more():
	if ArduinoMegas==1:	
		setHandSpeed("right", 0.75, 0.75, 0.75, 0.75, 0.75, 0.65)
		i01.setArmSpeed("left", 0.85, 0.80, 0.85, 0.95)
		i01.setArmSpeed("right", 0.75, 0.65, 0.65, 0.65)
		i01.setHeadSpeed(0.65, 0.65)
		i01.moveHead(13,80)
		i01.moveArm("left",64,52,59,23)
		i01.moveArm("right",75,60,50,16)
		moveHand("left",140,148,140,10,10,0)
		moveHand("right",80,114,114,3,0,11)
		sleep(3)

# ##############################################################################
def handdown():
	if ArduinoMegas==1:	
		setHandSpeed("left", 0.75, 0.75, 0.75, 0.75, 0.75, 0.75)
		setHandSpeed("right", 0.70, 0.70, 0.70, 0.70, 0.70, 1.0)
		i01.setArmSpeed("right", 0.85, 0.65, 0.65, 0.65)
		i01.moveHead(18,75)
		i01.moveArm("left",66,52,59,23)
		i01.moveArm("right",59,60,50,16)
		moveHand("left",140,148,140,10,10,0)
		moveHand("right",54,95,66,0,0,11)
		sleep(2)

# ##############################################################################
def isitaball():
	if ArduinoMegas==1:	
		setHandSpeed("left", 1.0, 1.0, 1.0, 0.8, 0.8, 0.90)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 1.0, 0.95, 0.95, 0.85)
		i01.setArmSpeed("left", 0.75, 0.85, 0.90, 0.85)
		i01.setHeadSpeed(0.65, 0.75)
		i01.moveHead(70,82)
		fullspeed()
		i01.moveArm("left",70,59,95,15)
		i01.moveArm("right",12,74,33,15)
		moveHand("left",170,150,180,180,180,164)
		moveHand("right",105,81,78,57,62,105)

# ##############################################################################
def putitdown():
	if ArduinoMegas==1:	
		setHandSpeed("left", 0.90, 0.90, 0.90, 0.90, 0.90, 0.90)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 0.75, 0.85, 0.95, 0.85)
		i01.setArmSpeed("left", 0.75, 0.85, 0.95, 0.85)
		i01.setHeadSpeed(0.75, 0.75)
		i01.moveHead(20,99)
		i01.moveArm("left",5,45,87,31)
		i01.moveArm("right",5,82,33,15)
		moveHand("left",147,130,135,34,34,35)
		moveHand("right",20,40,40,30,30,72)
 
# ##############################################################################
def dropit():
	if ArduinoMegas==1:	
		setHandSpeed("left", 0.85, 0.85, 0.85, 0.85, 0.85, 0.85)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 0.75, 0.85, 0.95, 0.85)
		i01.setArmSpeed("left", 0.75, 0.85, 1.0, 0.85)
		i01.setHeadSpeed(0.75, 0.75)
		i01.moveHead(20,99)
		i01.moveArm("left",5,45,87,31)
		i01.moveArm("right",5,82,33,15)
		sleep(3)
		moveHand("left",60,61,67,34,34,35)
		moveHand("right",20,40,40,30,30,72)
 
# ##############################################################################
def removeleftarm():
	if ArduinoMegas==1:	
		setHandSpeed("left", 0.85, 0.85, 0.85, 0.85, 0.85, 0.85)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 0.75, 0.85, 0.95, 0.85)
		i01.setArmSpeed("left", 0.95, 0.65, 0.75, 0.75)
		i01.setHeadSpeed(0.75, 0.75)
		i01.moveHead(20,100)
		i01.moveArm("left",71,94,41,31)
		i01.moveArm("right",5,82,28,15)
		moveHand("left",60,43,45,34,34,35)
		moveHand("right",20,40,40,30,30,72)
  
# ##############################################################################
def armsUp():
	if ArduinoMegas==1:	
		i01.setHeadSpeed(1.0,1.0)
		i01.moveHead(180,86)
		sleep(1)
		setHandSpeed("left",0.90,0.90,0.90,0.90,0.90,1.0)
		setHandSpeed("right",0.90,0.90,0.90,0.90,0.90,1.0)
		moveHand("left",170,170,170,170,170,33)
		moveHand("right",170,170,170,170,170,180)
		sleep(3)
		i01.setArmSpeed("left",1.0,1.0,1.0,1.0)
		i01.setArmSpeed("right",1.0,1.0,1.0,1.0)
		i01.setTorsoSpeed(1.0,1.0,1.0)
		i01.moveArm("left",90,90,170,20)
		i01.moveArm("right",90,90,173,20)
		sleep(9)
		setHandSpeed("left",1.0,1.0,1.0,1.0,1.0,1.0)
		setHandSpeed("right",1.0,1.0,1.0,1.0,1.0,1.0)
		i01.moveHead(180,86)
		i01.moveArm("left",5,90,170,10)
		i01.moveArm("right",5,90,173,10)
		moveHand("left",2,2,2,2,2,33)
		moveHand("right",2,2,2,2,2,180)
		i01.moveTorso(90,90,90)
 
# ##############################################################################
def surrender():
	if ArduinoMegas==1:	
		setHandSpeed("left", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 0.75, 0.85, 0.95, 0.85)
		i01.setArmSpeed("left", 0.75, 0.85, 0.95, 0.85)
		i01.setHeadSpeed(0.65, 0.65)
		i01.moveHead(90,90)
		i01.moveArm("left",90,139,15,79)
		i01.moveArm("right",90,145,37,79)
		moveHand("left",50,28,30,10,10,76)
		moveHand("right",10,10,10,10,10,139)
 
# ##############################################################################
def pictureleftside():
	if ArduinoMegas==1:	
		setHandSpeed("left", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		setHandSpeed("right", 0.85, 0.85, 0.85, 0.85, 0.85, 0.85)
		i01.setArmSpeed("right", 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("left", 0.75, 0.85, 0.95, 0.85)
		i01.setHeadSpeed(0.65, 0.65)
		i01.moveHead(109,90)
		i01.moveArm("left",90,105,24,75)
		i01.moveArm("right",5,82,28,15)
		moveHand("left",50,86,97,74,106,119)
		moveHand("right",81,65,82,60,105,113)
 
# ##############################################################################
def picturerightside():
	if ArduinoMegas==1:	
		setHandSpeed("left", 0.85, 0.85, 0.85, 0.85, 0.85, 0.85)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 0.85, 0.85, 0.85, 0.85)
		i01.setArmSpeed("left", 1.0, 1.0, 1.0, 1.0)
		i01.setHeadSpeed(0.65, 0.65)
		i01.moveHead(109,90)
		i01.moveArm("left",5,94,28,15)
		i01.moveArm("right",90,115,23,68)
		moveHand("left",42,58,87,55,71,35)
		moveHand("right",10,112,95,91,125,45)
 
# ##############################################################################
def picturebothside():
	if ArduinoMegas==1:	
		setHandSpeed("left", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("left", 1.0, 1.0, 1.0, 1.0)
		i01.setHeadSpeed(0.65, 0.65)
		i01.moveHead(109,90)
		#i01.moveJaw(50)
		i01.moveArm("left",90,105,24,75)
		i01.moveArm("right",90,115,23,68)
		moveHand("left",50,86,97,74,106,119)
		moveHand("right",10,112,95,91,125,45)

# ##############################################################################
def Torso():
	if ArduinoMegas==1:	
		i01.setTorsoSpeed(1.0, 1.0, 1.0)
		i01.moveTorso(60,90,90)
		sleep(2)
		i01.moveTorso(120,90,90)
		sleep(2)
		i01.moveTorso(90,90,90)
		sleep(2)     

# ##############################################################################
def muscle():
	if ArduinoMegas==1:	
		setHandSpeed("left", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 0.75, 0.85, 0.95, 0.85)
		i01.setArmSpeed("left", 0.75, 0.85, 0.95, 0.85)
		i01.setHeadSpeed(0.65, 0.65)
		i01.setTorsoSpeed(0.75, 0.55, 1.0)
		i01.moveHead(90,129)
		i01.moveArm("left",90,139,48,75)
		i01.moveArm("right",71,40,14,43)
		moveHand("left",180,180,180,180,180,148)
		moveHand("right",99,130,152,154,145,180)
		i01.moveTorso(120,100,90)
		sleep(4)
		#i01.mouth.speakBlocking("Looks good, doesn't it")
		#sleep(2)
		setHandSpeed("left", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("left", 1.0, 1.0, 1.0, 1.0)
		i01.setHeadSpeed(0.85, 0.85)
		i01.setTorsoSpeed(0.75, 0.55, 1.0)
		i01.moveHead(90,45)
		i01.moveArm("left",44,46,20,39)
		i01.moveArm("right",90,145,58,74)
		moveHand("left",180,180,180,180,180,83)
		moveHand("right",99,130,152,154,145,21)
		i01.moveTorso(60,75,90)
		sleep(3)
		#i01.mouth.speakBlocking("not bad either, don't you think")
		#sleep(4)
		relax()
		sleep(1)

# ##############################################################################
def photo():    
	if ArduinoMegas==1:	
		i01.moveHead(87,60)
		i01.moveArm("left",78,48,37,11)
		i01.moveArm("right",46,147,5,75)
		moveHand("left",138,52,159,106,120,90)
		moveHand("right",80,65,94,63,70,140)
 
# ##############################################################################
def beforehappy():
	if ArduinoMegas==1:	
		setHandSpeed("left", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		setHandSpeed("right", 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)
		i01.setArmSpeed("right", 0.85, 0.85, 0.85, 1.0)
		i01.setArmSpeed("left", 1.0, 1.0, 1.0, 1.0)
		i01.setHeadSpeed(0.65, 0.65)
		i01.moveHead(84,88)
		i01.moveArm("left",5,82,36,11)
		i01.moveArm("right",74,112,61,29)
		moveHand("left",0,88,135,94,96,90)
		moveHand("right",81,79,118,47,0,90)
 
# ##############################################################################
def welcome():
	if ArduinoMegas==1:	
		sleep(1)
		setHandSpeed("left", 0.60, 0.60, 0.60, 0.60, 0.60, 0.60)
		setHandSpeed("right", 0.60, 0.80, 0.60, 0.60, 0.60, 0.60)
		i01.setArmSpeed("left", 0.60, 0.60, 0.60, 0.60)
		i01.setArmSpeed("right", 0.60, 0.60, 0.60, 0.60)
		i01.setHeadSpeed(0.65, 0.65)
		i01.moveHead(80,90)
		i01.moveArm("left",26,105,30,25)
		i01.moveArm("right",37,124,30,27)
		moveHand("left",2,2,2,2,2,90)
		moveHand("right",2,2,2,2,2,90)
		sleep(1)
		#i01.mouth.speakBlocking("Welcome to the inmoov nation")
		sleep(1)

# ##############################################################################
def balance():
	if ArduinoMegas==1:	
		i01.setHeadSpeed(0.95,0.95)
		i01.setArmSpeed("left",1.0,0.85,0.95,0.95)
		i01.setArmSpeed("right",0.65,0.85,0.65,0.85)
		setHandSpeed("left",0.85,0.85,0.85,0.85,0.85,0.85)
		setHandSpeed("right",0.85,0.85,0.85,0.85,0.85,0.85)
		i01.setTorsoSpeed(0.95,0.85,1.0)
		i01.moveHead(79,100,82,78,65)
		i01.moveArm("left",5,84,28,15)
		i01.moveArm("right",5,82,28,15)
		moveHand("left",92,33,37,71,66,25)
		moveHand("right",81,66,82,60,105,113)
		i01.moveTorso(90,90,90)
		sleep(4)
		i01.moveHead(80,86,82,78,65)
		i01.moveArm("left",75,123,52,45)
		i01.moveArm("right",75,123,52,45)
		moveHand("left",180,180,180,180,180,30)
		moveHand("right",180,180,180,180,180,170)
		i01.moveTorso(90,90,90)
		sleep(3)
		i01.moveHead(16,86,82,78,65)
		i01.moveArm("left",75,97,52,45)
		i01.moveArm("right",75,76,52,45)
		moveHand("left",180,180,180,180,180,30)
		moveHand("right",180,180,180,180,180,170)
		i01.moveTorso(161,90,90)
		sleep(2.5)
		i01.setArmSpeed("left",1.0,0.85,0.95,0.95)
		i01.setArmSpeed("right",1.0,0.85,0.95,0.95)
		i01.moveHead(70,120,82,78,65)
		i01.moveArm("left",65,119,52,45)
		i01.moveArm("right",75,76,52,45)
		moveHand("left",180,180,180,180,180,30)
		moveHand("right",180,180,180,180,180,170)
		i01.moveTorso(20,90,90)
		sleep(3)
		i01.moveHead(80,151,82,78,65)
		i01.moveArm("left",75,97,52,45)
		i01.moveArm("right",21,76,52,45)
		moveHand("left",180,180,180,180,180,30)
		moveHand("right",180,180,180,180,180,170)
		i01.moveTorso(20,90,90)   
		sleep(0.5)
		i01.moveHead(16,11,85,85,53)
		i01.moveArm("left",60,67,67,40)
		i01.moveArm("right",5,116,10,28)
		moveHand("left",143,69,48,2,2,23)
		moveHand("right",89,60,78,43,68,163)
		i01.moveTorso(161,62,92)
		sleep(6)
		i01.setArmSpeed("left",1.0,0.95,1.0,1.0)
		i01.setArmSpeed("right",1.0,0.85,0.95,0.95)
		setHandSpeed("left",0.85,0.85,0.85,0.85,0.85,0.85)
		setHandSpeed("right",0.85,0.85,0.85,0.85,0.85,0.85)
		i01.setTorsoSpeed(0.95,0.85,1.0)
		i01.moveHead(23,163,85,85,66)
		i01.moveArm("left",5,90,30,18)
		i01.moveArm("right",83,58,50,30)
		moveHand("left",2,2,72,110,140,32)
		moveHand("right",169,0,72,101,119,173)
		i01.moveTorso(31,112,90)
		sleep(6)
		relax()
         
# ##############################################################################
def BicepsClosed():
	if ArduinoMegas==1:	
		leftArm.bicep.attach()
		leftArm.bicep.moveTo(180)
		rightArm.bicep.attach()
		rightArm.bicep.moveTo(180)
		sleep(2)
		detachHard()
		rightArm.bicep.detach()
		leftArm.bicep.detach()

		