# -*- coding: utf-8 -*- 
# ##############################################################################
# 					    *** Librairie de fonction pour la domotique ***
# ##############################################################################

# Serveur domotique
domoServer = 'http://192.168.1.6:82/domodev/jarvis/'

######################################################
# Exemple url light.php?lieu=1,12&val=50
######################################################
def lightControl(val1, val2, val3):

	if RobotReadyForAction==1:
		print "Lampe: " + str(val1) +' '+ str(val2) +' '+ str(val3)
		url = domoServer + 'light.php?lieu=' + str(val1) + ',' + str(val2) + '&val=' + str(val3)
		req = urllib2.Request(url)
		handle = urllib2.urlopen(req)
		result = handle.read() 
		print "Resultat: ", result
		chatBot.getResponse("REPONSE_DOMO")

######################################################
# Exemple url volet.php?lieu=10&cible=0&val=0
######################################################
def voletControl(val1, val2, val3):

	if RobotReadyForAction==1:
		print "Volet: " + str(val1) +' '+ str(val2) +' '+ str(val3)
		url = domoServer + 'volets.php?lieu=' + str(val1) + '&cible=' + str(val2) + '&val=' + str(val3)
		req = urllib2.Request(url)
		handle = urllib2.urlopen(req)
		result = handle.read() 
		print "Resultat: ", result
		chatBot.getResponse("REPONSE_DOMO")

######################################################
# Exemple url volet.php?lieu=10&cible=0&val=0
######################################################
def infoDomotic(index, bit=0):
	#if RobotReadyForAction==1:
		url = domoServer + 'processData.php?index=' + str(index)
		req = urllib2.Request(url)
		handle = urllib2.urlopen(req)
		
		result = handle.read() 
		data = json.loads(result)
		print data
		
		idx = data["index"]
		val = data["valeur"]

		# Trame infos système
		# D0: Nombre de sortie active
		# D1: Etat système
		#      B0: 1 si porte ouverte
		#      B1: 1 si garage est ouvert
		#      B2: 1 si portail est ouvert
		#      B3: 1 si recherche sortie active
		#      B4: 1 si jour / 0 nuit
		#      B5: 1 si alarme
		#      B6: 1 si sonnette active
		#      B7: 1 si modem GSM allumé
		# D2, D3: etat de volet
		# D4: infos congé et absence
		# 			b0: jour de congé
		# 			b1: jour d'absence
		# 			b2: veille jour de congé
		# 			b3: veille jour d'absence
		# 			b4: 0 = horloge non valide, 1 valide
		# 			b5: 0 = été, 1 = hivers
		# 			b6: 0 = mode nuit, 1 = mode jour
		# 			b7: réserve
		# D6	à D7 non utilisé pour DomoWeb
		
		if idx==1:
			text="Il y a " + str(val) + " sorties actives"
		if idx==2:
			if bit==1:
				if val&0x01:
					text="La porte est ouverte"
				else:
					text="La porte est fermée"
			if bit==2:
				if val&0x02:
					text="Le garage est ouvert"
				else:
					text="Le garage est fermé"
					
		if idx==5:
			if bit==1:
				if val&0x01:
					text="aujoud'hui est un jour de congé"
				elif val&0x02:
					text="aujoud'hui est un jour d'absence"
				else:
					text="aujourd'hui est un jour normal"
			if bit==2:
				if val&0x04:
					text="demain est un jour de congé"
				elif val&0x08:
					text="demain est un jour d'absence"
				else:
					text="demain est un jour normal"
					
		if (idx>=9 and idx<=16):
			text="la température est de " + str(val) + " degrés"

		if (idx>=21 and idx<=28):
			text="l'humidité est de " + str(val) + " pour cents"

		talk(text)

# def musicControl()
