
# ##############################################################################
def lookrightside():
	if ArduinoMegas==1:	
		i01.setHeadSpeed(0.70, 0.70)
		i01.moveHead(NeckRest,40)
	elif megaBoardIsOK==1:	
		neck.setSpeed(0.70)
		rothead.setSpeed(0.70)
		neck.moveTo(NeckRest)
		rothead.moveTo(40)

# ##############################################################################
def lookleftside():
	if ArduinoMegas==1:	
		i01.setHeadSpeed(0.70, 0.70)
		i01.moveHead(NeckRest,140)
	elif megaBoardIsOK==1:	
		neck.setSpeed(0.70)
		rothead.setSpeed(0.70)
		neck.moveTo(NeckRest)
		rothead.moveTo(140)

# ##############################################################################
def lookinmiddle():
	if ArduinoMegas==1:	
		i01.setHeadSpeed(0.70, 0.70)
		i01.moveHead(NeckRest,RotHeadRest)
	elif megaBoardIsOK==1:	
		neck.setSpeed(0.70)
		rothead.setSpeed(0.70)
		neck.moveTo(NeckRest)
		rothead.moveTo(RotHeadRest)

# ##############################################################################
def eyesfront():
	if ArduinoMegas==1:	
		i01.head.eyeX.moveTo(EyeXRest)
		i01.head.eyeY.moveTo(EyeYRest)
	elif megaBoardIsOK==1:	
		eyeX.moveTo(EyeXRest)
		eyeY.moveTo(EyeYRest)
    
# ##############################################################################
def eyesdown():
	if ArduinoMegas==1:	
		i01.head.eyeY.moveTo(170)
	elif megaBoardIsOK==1:	
		eyeY.moveTo(170)
    
# ##############################################################################
def eyesupp():
	if ArduinoMegas==1:	
		i01.head.eyeY.moveTo(10)
	elif megaBoardIsOK==1:	
		eyeY.moveTo(10)
 
# ##############################################################################
def eyesright():
	if ArduinoMegas==1:	
		i01.head.eyeX.moveTo(170)
	elif megaBoardIsOK==1:	
		eyeX.moveTo(170)
 
# ##############################################################################
def eyesleft():
	if ArduinoMegas==1:	
		i01.head.eyeX.moveTo(10)
	elif megaBoardIsOK==1:	
		eyeX.moveTo(10)
    
# ##############################################################################
def headfront():
	if ArduinoMegas==1:	
		i01.head.neck.moveTo(NeckRest)
		i01.head.rothead.moveTo(RotHeadRest)
		HeadSide.moveTo(HeadSideRest)
	elif megaBoardIsOK==1:	
		neck.moveTo(NeckRest)
		rothead.moveTo(RotHeadRest)
		HeadSide.moveTo(HeadSideRest)
 
# ##############################################################################
def headdown():
	if ArduinoMegas==1:	
		i01.head.neck.moveTo(MaxNeck)
	elif megaBoardIsOK==1:	
		neck.moveTo(MaxNeck)
 
# ##############################################################################
def headupp():
	if ArduinoMegas==1:	
		i01.head.neck.moveTo(MinNeck) 
	elif megaBoardIsOK==1:	
		neck.moveTo(MinNeck) 

# ##############################################################################
def headright():
	if ArduinoMegas==1:	
		i01.head.rothead.moveTo(MinRotHead)
	elif megaBoardIsOK==1:	
		rothead.moveTo(MinRotHead)

# ##############################################################################
def headleft():
	if ArduinoMegas==1:	
		i01.head.rothead.moveTo(MaxRotHead)    
	elif megaBoardIsOK==1:	
		rothead.moveTo(MaxRotHead)    

##################################################################################
def gesture_No():
	global enableMoveHeadRandom
	enableMoveHeadRandom=0

	if ArduinoMegas==1:	
		head.neck.setSpeed(NeckSpeed)
		head.rothead.setSpeed(RotHeadSpeed)
		#head.neck.setSpeed(NeckSpeed+0.37)
		#head.rothead.setSpeed(RotHeadSpeed+0.37)
		
		if random.randint(0,1)==1:
			#i01.attach()
			i01.moveHead(NeckRest-10,RotHeadRest+30)
			sleep(0.7)
			i01.moveHead(NeckRest-5,RotHeadRest-30)
			sleep(1.4)
			i01.moveHead(NeckRest,RotHeadRest+30)
			sleep(1.5)
			i01.moveHead(NeckRest+5,RotHeadRest-30)
			sleep(1.5)
			i01.moveHead(NeckRest+2,RotHeadRest+30)
			sleep(0.7)
			i01.moveHead(NeckRest,RotHeadRest)
		else:
			HeadSide.setSpeed(HeadSideSpeed+0.37)
			HeadSide.moveTo(50)
			sleep(0.5)
			HeadSide.moveTo(120)
			sleep(1)
			HeadSide.moveTo(HeadSideRest)
			
		head.neck.setSpeed(NeckSpeed)
		head.rothead.setSpeed(RotHeadSpeed)
		HeadSide.setSpeed(HeadSideSpeed)

##################################################################################
def gesture_Yes():
	global enableMoveHeadRandom
	enableMoveHeadRandom=0

	if ArduinoMegas==1:	
		#i01.attach()
		head.neck.setSpeed(NeckSpeed+0.1)
		i01.moveHead(NeckRest+20,RotHeadRest)
		sleep(1)
		i01.moveHead(NeckRest-20,RotHeadRest)
		sleep(1)
		i01.moveHead(NeckRest+20,RotHeadRest)
		sleep(1.6)

		i01.moveHead(NeckRest,RotHeadRest)
		head.neck.setSpeed(NeckSpeed)
		head.rothead.setSpeed(RotHeadSpeed)
		
##################################################################################
def LookAtTheSky():
	global enableMoveHeadRandom
	enableMoveHeadRandom=0
	
	if ArduinoMegas==1:	
		head.neck.setSpeed(NeckSpeed+0.2)
		head.rothead.setSpeed(RotHeadSpeed)
		i01.moveHead(0,RotHeadRest)
		sleep(5)
		i01.moveHead(NeckRest,RotHeadRest)
	
##################################################################################
def LookAtYourFeet():
	global enableMoveHeadRandom
	enableMoveHeadRandom=0
	
	if ArduinoMegas==1:	
		head.neck.setSpeed(NeckSpeed+0.2)
		head.rothead.setSpeed(RotHeadSpeed)
		i01.moveHead(120,RotHeadRest)
		sleep(5)
		i01.moveHead(NeckRest,RotHeadRest)
	
##################################################################################
def LookAtYourLeft():
	global enableMoveHeadRandom
	enableMoveHeadRandom=0
	
	if ArduinoMegas==1:	
		head.neck.setSpeed(NeckSpeed)
		head.rothead.setSpeed(RotHeadSpeed+0.1)
		i01.moveHead(NeckRest,0)
		sleep(5)
		i01.moveHead(NeckRest,RotHeadRest)
	
##################################################################################
def LookAtYourRight():
	global enableMoveHeadRandom
	enableMoveHeadRandom=0
	
	if ArduinoMegas==1:	
		head.neck.setSpeed(NeckSpeed)
		head.rothead.setSpeed(RotHeadSpeed+0.1)
		i01.moveHead(NeckRest,180)
		sleep(5)
		i01.moveHead(NeckRest,RotHeadRest)

##################################################################################
def LookAroundYou():
	global enableMoveHeadRandom
	enableMoveHeadRandom=0
	
	if ArduinoMegas==1:	
		head.neck.setSpeed(NeckSpeed+0.2)
		head.rothead.setSpeed(RotHeadSpeed+0.1)
		i01.moveHead(160,160)
		sleep(1)
		i01.moveHead(160,20)
		sleep(1)
		i01.moveHead(20,20)
		sleep(1)
		i01.moveHead(20,160)
		sleep(1)
		i01.moveHead(NeckRest,RotHeadRest)
         
##################################################################################
# 
##################################################################################
def MoveEyesRandomize():
	if MoveEyesRandom==1:
		val=random.randint(0,5)
		if val==0:
			eyesfront()
		elif val==1:
			eyesdown()
		elif val==2:
			eyesupp()
		elif val==3:
			eyesright()
		elif val==4:
			eyesleft()
		elif val==5:
			eyesfront()

#MoveEyesTimer = Runtime.start("MoveEyesTimer","Clock")
#MoveEyesTimer.setInterval(random.randint(600,1200))

def MoveEyes(timedata):
	MoveEyesRandomize()
	MoveEyesTimer.setInterval(random.randint(5000,20000))

def MoveEyesStopped():
	MoveEyesTimer.addListener("pulse", python.name, "MoveEyes")
	MoveEyesTimer.addListener("clockStopped", python.name, "MoveEyesStopped")

def MoveEyesStart():
	MoveEyesRandomize()
    
#MoveEyesTimer.addListener("pulse", python.name, "MoveEyes")
#MoveEyesTimer.addListener("clockStopped", python.name, "MoveEyesStopped")        
#MoveEyesTimer.addListener("clockStarted", python.name, "MoveEyesStart")    

# ##############################################################################
def MoveHeadRandomize():

	if ArduinoMegas==1:
		HeadSide.attach()
		head.neck.setSpeed(NeckSpeed-0.1)
		head.rothead.setSpeed(RotHeadSpeed-0.1)
		HeadSide.setSpeed(HeadSideSpeed-0.1)
		i01.moveHead(random.randint(20,90),random.randint(50,130))
		HeadSide.moveTo(random.randint(50,130))
	elif megaBoardIsOK==1:
		HeadSide.attach()
		neck.setSpeed(NeckSpeed-0.1)
		rothead.setSpeed(RotHeadSpeed-0.1)
		HeadSide.setSpeed(HeadSideSpeed-0.1)
		neck.moveTo(random.randint(20,90))
		rothead.moveTo(random.randint(50,130))
		HeadSide.moveTo(random.randint(50,130))

MoveHeadTimer = Runtime.start("MoveHeadTimer","Clock")
MoveHeadTimer.setInterval(1001)

# ##############################################################################
def MoveHead(timedata):

	MoveHeadRandomize()
	MoveHeadTimer.setInterval(random.randint(600,1200))
		
# ##############################################################################
def MoveHeadStopped():

	if ArduinoMegas==1:
		i01.moveHead(NeckRest,RotHeadRest)
		HeadSide.moveTo(HeadSideRest)
		sleep(2)
		HeadSide.detach()
	elif megaBoardIsOK==1:
		neck.moveTo(NeckRest)
		rothead.moveTo(RotHeadRest)
		HeadSide.moveTo(HeadSideRest)
		sleep(2)
		HeadSide.detach()
		
# ##############################################################################
def MoveHeadStart():
	MoveHeadRandomize()
	
MoveHeadTimer.addListener("pulse", python.name, "MoveHead")
MoveHeadTimer.addListener("clockStopped", python.name, "MoveHeadStopped")		
MoveHeadTimer.addListener("clockStarted", python.name, "MoveHeadStart")

	