# -*- coding: utf-8 -*- 

##################################################################################


# ##############################################################################
# Timer function to autostart webkit microphone every 15 seconds
# ##############################################################################
def WebkitSpeachReconitionON(timedata):
	if Ispeak==0:
		ear.resumeListening()

WebkitSpeachReconitionFix = Runtime.start("WebkitSpeachReconitionFix","Clock")
WebkitSpeachReconitionFix.setInterval(15000)
WebkitSpeachReconitionFix.addListener("pulse", python.name, "WebkitSpeachReconitionON")			
			
##################################################################################
# Actions aléatoire
##################################################################################
def phraseAleatoire(timedata):
	global enableRandom
	global enableMoveHeadRandom
  
	if enableRandom==1:
		VieAleatoire.setInterval(random.randint(22000,120000))
		if TuTeTais==0:
			if random.randint(0,1)==1:
				chatBot.getResponse("ALEATOIRE")
			else:
				chatBot.getResponse("ALEATOIRE2")
			
	enableMoveHeadRandom=1
	enableRandom=1
	
VieAleatoire = Runtime.start("VieAleatoire","Clock")
VieAleatoire.setInterval(120000)
VieAleatoire.addListener("pulse", python.name, "phraseAleatoire")

##################################################################################
# Timer pour le watchdog tous les 5 secondes
##################################################################################
def sendRefresh(timedata):
  if WatchDog==1:
    watchdogRefresh()

watchdogTimer = Runtime.start("watchdogTimer","Clock")
watchdogTimer.setInterval(5000)
watchdogTimer.addListener("pulse", python.name, "sendRefresh")

##################################################################################
# Déclaration du timer de mise à jour des données Activator  
##################################################################################
def sendRefreshData(timedata):
  updateDataRequest()

updateDataTimer = Runtime.start("updateDataTimer","Clock")
updateDataTimer.setInterval(30000)
updateDataTimer.addListener("pulse", python.name, "sendRefreshData")

##################################################################################
# Fonction qui démarre tout les timers
# doit être mis aprés démarrage du système
##################################################################################
def startAllTimer():
	if WatchDog==1:
		watchdogTimer.startClock()
		
	updateDataTimer.startClock()
	
	if enablePresentation==0:
		VieAleatoire.startClock()

##################################################################################
# Fonction qui stop tout les timers
##################################################################################
def stopAllTimer():
  if WatchDog==1:
		watchdogTimer.stopClock()
		
  updateDataTimer.stopClock()
  VieAleatoire.stopClock()




